%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:    jboss-jsf-2.1-api
Version: 2.0.2
Release: %mkrel 16
Group:   Development/Java
Summary: JavaServer Faces 2.1 API
License: CDDL or GPLv2 with exceptions
URL:     http://www.jboss.org

# git clone git://github.com/jboss/jboss-jsf-api_spec.git jboss-jsf-2.1-api
# cd jboss-jsf-2.1-api/ && git archive --format=tar --prefix=jboss-jsf-2.1-api-2.0.2.Final/ jboss-jsf-api_2.1_spec-2.0.2.Final | xz > jboss-jsf-2.1-api-2.0.2.Final.tar.xz
Source0: %{name}-%{namedversion}.tar.xz

# Fix the FSF address in the license file:
Patch0:  %{name}-fix-fsf-address.patch

BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jstl:jboss-jstl-api_1.2_spec)
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: objenesis

BuildArch:     noarch


%description
JavaServer Faces API classes based on Version 2.1 of Specification.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep

# Unpack the sources:
%setup -q -n %{name}-%{namedversion}
# Apply the patches:
%patch0 -p1

%mvn_file :jboss-jsf-api_2.1_spec %{name}
%mvn_alias :jboss-jsf-api_2.1_spec javax.faces:jsf-api

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE
%doc README



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.2-16.mga8
+ Revision: 1501796
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.2-15.mga7
+ Revision: 1278909
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 2.0.2-14.mga7
+ Revision: 1161704
- add BR apache-parent to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0.2-12.mga6
+ Revision: 976460
- First rebuild of the java stack
- sync package jboss-jsf-2.1-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jan 23 2015 daviddavid <daviddavid> 2.0.2-9.mga5
+ Revision: 811946
- fix jboss-jsf-2.1-api.jar file directory
  * should be installed on %%{_javadir} not on %%{_javadir}/%%{name} directory
  * do not use for now %%mvn_install macro

* Thu Jan 22 2015 daviddavid <daviddavid> 2.0.2-8.mga5
+ Revision: 811912
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-7.mga5
+ Revision: 747425
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 2.0.2-5.mga4
+ Revision: 559792
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 355032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 2.0.2-2.mga3
+ Revision: 339002
- Add jboss-specs-parent as builrequire ( FTBFS)

* Wed Jun 20 2012 dmorgan <dmorgan> 2.0.2-1.mga3
+ Revision: 262232
- imported package jboss-jsf-2.1-api


* Wed Mar 28 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.2-3
- Added geronimo-validation to the build requirements

* Fri Mar 23 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.2-2
- Use global instead of define

* Thu Mar 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.2-1
- Update to upstream version 2.0.0
- Cleanup of the spec file

* Fri Aug 12 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-1
- Initial packaging

